/*
 * @Author: WangQiBiao
 * @LastEditors: ChenYaJin
 * @Description: 全局参数设置
 * @Date: 2019-03-12 09:40:46
 * @LastEditTime: 2023-07-03 17:11:00
 */
import { Config } from '#/config'

const REQUEST_MATCHING_HASH = `/9ad134a361f8d778` // 【9ad134a361f8d778 = 前端服务，用于后端接口匹配】

const config: Config = {
/**
     * @description token在Cookie中存储的天数，默认1天
     */
  cookieExpires: 1,
  /**
     * @description 是否使用国际化，默认为false
     *              如果不使用，则需要在路由中给需要在菜单中展示的路由设置meta: {title: 'xxx'}
     *              用来在菜单中显示文字
     */
  useI18n: false,
  /**
     * @description api请求基础路径
     */
  baseUrl: {
    pro: `${REQUEST_MATCHING_HASH}`, // 生产环境
    test: `${REQUEST_MATCHING_HASH}` // 测试环境
  },
  // 图片路径
  fileUrl: process.env.NODE_ENV === 'production' ? `${REQUEST_MATCHING_HASH}` : 'https://wy-test.huiguanjia.cn/9ad134a361f8d778',
  // 上传图片路径
  uploadFileUrl: process.env.NODE_ENV === 'production' ? `https://wy.huiguanjia.cn${REQUEST_MATCHING_HASH}` : 'https://wy-test.huiguanjia.cn/9ad134a361f8d778',
  // 导出文件路径
  exportUrl: process.env.NODE_ENV === 'production' ? `${REQUEST_MATCHING_HASH}` : '/api',
  // 分享绘服务路径
  shareUrl: process.env.NODE_ENV === 'production' ? 'https://m.huifuwu.cn' : 'http://pm-test.huiguanjia.cn', // https://m.huifuwu.cn
  huiFuWuQrCodeUrl: 'https://m.huifuwu.cn',
  /**
     * 输入框最长值
     */
  maxTextNum: 20,
  /**
   * 版本tag
   */
  version: 'v2.5.9',
  /**
   * 钉钉消息通知
   */
  dingDingNotice: process.env.NODE_ENV === 'production' ? `${REQUEST_MATCHING_HASH}/risk/ding/front/chat/send` : '/api/risk/ding/front/chat/send',
  /**
   * 百度地图 ak
   */
  mapKey: process.env.NODE_ENV === 'production' ? '11hnWXWWGgQnCHVzL2RrILKjNbd4iSR9' : 'Grz9EBWKpYvTU4YesHQH5vcQ6f6gxpC2',
  /**
   * PDFjs 字体文件 cdn
   */
  PDFCmapURL: '/bcmaps/'
}

export default config
